// creator  : weidu.exe (version 23100)
// argument : _ABELA.DLG
// game		 : .
// source	 : ./override/_ABELA.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_ABELA~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF ~~ THEN BEGIN 0 // from:
  SAY #80249 /* ~Destiny or no, I am not long for this place.~ [_ABELA01] */
  IF ~~ THEN EXTERN ~_RAGEFA~ 1
  IF ~Global("X#VicAbela","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicAbela","GLOBAL",1)~ EXTERN ~_VICONJ~ 71
END

IF ~~ THEN BEGIN 1 // from:
  SAY #80250 /* ~Look unto me, Ragefast.  My beauty fades even now.~ */
  IF ~~ THEN EXTERN ~_RAGEFA~ 9
  IF ~Global("X#GarAbela","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#GarAbela","GLOBAL",1)~ EXTERN ~_GARRIJ~ 49
END

IF ~~ THEN BEGIN 2 // from:
  SAY #80251 /* ~'Tis flattering, but you are blinded by your passion.  Truly see what is become of me.  I should not age, but my spirit fades in this ugly place.  Yours does as well, but from obsession over me.~ */
  IF ~~ THEN EXTERN ~_RAGEFA~ 10
END

IF ~~ THEN BEGIN 3 // from:
  SAY #80252 /* ~In my glade, amidst the stars and moon.  'Twas beauty in that, but I cannot be confined with thee.  I am not human, and this is not my home.~ */
  IF ~~ THEN EXTERN ~_RAGEFA~ 11
END

IF ~~ THEN BEGIN 4 // from:
  SAY #80253 /* ~I am not without fault, but 'tis my nature to breed obsession in people.  A hazard of just being who and what I am.  As for my impromptu saviors, my gratitude is boundless!  Please, take a lock of hair to remember me by.  I doubt I shall seek the company of man for some time.  Goodbye.~ */
  IF ~~ THEN DO ~GiveItem("_MISC51",LastTalkedToBy)
AddexperienceParty(2000)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
ForceSpell(Myself,DRYAD_TELEPORT)
~ SOLVED_JOURNAL #88949 /* ~The captive nymph

After all was said and done, I helped the nymph Abela to escape her confinement.~ */ EXIT
  IF ~Global("X#CoranAbela1","GLOBAL",0)
InParty("coran")
InMyArea("coran")
!StateCheck("coran",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#CoranAbela1","GLOBAL",1)~ EXTERN ~_CORANJ~ 129
END

IF WEIGHT #1 /* Triggers after states #: 10 even though they appear after this state */
~Dead("ragefast")
!Global("HelpRamazith","GLOBAL",3)
~ THEN BEGIN 5 // from:
  SAY #80254 /* ~My poor Ragefast.  Like many humans, he could not understand the feelings my kind elicits.  What of you, savior.  I should like to believe I am free, but mankind often does good things for bad reasons.  What are your plans for me?~ */
  IF ~~ THEN REPLY #80255 /* ~I don't trust any of the players in this game.  You are free by my hand, and none shall cage you again.~ */ GOTO 6
  IF ~Global("HelpRamazith","GLOBAL",1)
~ THEN REPLY #80256 /* ~I have a duty to complete, regardless of how I feel.  You are to be delivered to Ramazith, but I don't imagine his treatment of you could be worse than Ragefast's.~ */ GOTO 8
END

IF ~~ THEN BEGIN 6 // from: 8.1 5.0
  SAY #80257 /* ~It will be good to feel the grass beneath my feet once more.  If you would just release this restraining collar, I will regain a measure of my talents.  I thought it only ornamental when he gave it to me.  Please... will you help me?~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #80258 /* ~My gratitude is boundless!  Please, take a lock of my hair to remember me by.  I doubt I shall seek the company of man for some time.  Goodbye.~ */
  IF ~~ THEN DO ~GiveItem("_MISC51",LastTalkedToBy)
AddexperienceParty(2000)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
ForceSpell(Myself,DRYAD_TELEPORT)
~ SOLVED_JOURNAL #88949 /* ~The captive nymph

After all was said and done, I helped the nymph Abela to escape her confinement.~ */ EXIT
  IF ~Global("X#ABELA7","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ABELA7","GLOBAL",1)~ GOTO 19
  IF ~Global("X#ABELA7","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ABELA7","GLOBAL",1)~ EXTERN ~_FALDOJ~ 142
  IF ~Global("X#ABELA7","GLOBAL",0)
InParty("coran")
InMyArea("coran")
!StateCheck("coran",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ABELA7","GLOBAL",1)~ GOTO 21
  IF ~Global("X#ABELA7","GLOBAL",0)
InParty("coran")
InMyArea("coran")
!StateCheck("coran",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ABELA7","GLOBAL",1)~ EXTERN ~_CORANJ~ 334
END

IF ~~ THEN BEGIN 8 // from: 5.1
  SAY #80259 /* ~Ramazith!?  Ragefast was deathly afraid I should fall into his hands.  He would not say why, but it worries me nonetheless.  I beg of you, do not do this!~ */
  IF ~~ THEN REPLY #80260 /* ~These are mere words.  Ramazith shall have thee, as the deal we struck decrees.~ */ UNSOLVED_JOURNAL #80261 /* ~The captive nymph

Ragefast thinks that Ramazith has evil plans in store for the nymph Abela.~ */ GOTO 9
  IF ~~ THEN REPLY #80255 /* ~I don't trust any of the players in this game.  You are free by my hand, and none shall cage you again.~ */ GOTO 6
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #80262 /* ~I fear I am to die in this ugly town.  Drag me on, for I care not.~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
  IF ~Global("X#ABELA9","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ABELA9","GLOBAL",1)~ GOTO 25
  IF ~Global("X#ABELA9","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ABELA9","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 314
  IF ~Global("X#ABELA9","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ABELA9","GLOBAL",1)~ GOTO 27
  IF ~Global("X#ABELA9","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ABELA9","GLOBAL",1)~ EXTERN ~_KIVANJ~ 314
  IF ~Global("X#ABELA9","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ABELA9","GLOBAL",1)~ GOTO 31
  IF ~Global("X#ABELA9","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ABELA9","GLOBAL",1)~ EXTERN ~_KIVANJ~ 316
END

IF WEIGHT #0 ~Global("HelpRamazith","GLOBAL",2)
~ THEN BEGIN 10 // from:
  SAY #80263 /* ~I am to be a captive here now?  I shall die amidst this ugliness!~ */
  IF ~~ THEN EXTERN ~_RAMAZI~ 14
END

IF WEIGHT #2 ~Dead("ramazith")
Global("HelpRamazith","GLOBAL",3)
~ THEN BEGIN 11 // from:
  SAY #80308 /* ~Well!  Have you anymore mad friends to pass me on to, or shall I just kill myself now to save time for everyone.~ */
  IF ~~ THEN REPLY #80309 /* ~My sincerest apologies!  Had I but known his plan I would have released you before!~ */ GOTO 13
  IF ~~ THEN REPLY #80310 /* ~Perhaps Ramazith had a good idea!  Mayhaps your body can get me the money he spoke of!  Hello, time to die!!~ */ GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.1
  SAY #80311 /* ~You are an absolute monster!~ */
  IF ~~ THEN DO ~ReputationInc(-5)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
EscapeArea()
~ SOLVED_JOURNAL #88950 /* ~The captive nymph

My hopes of extracting some additional value from the body of the enslaved nymph Abela have come to naught.~ */ EXIT
  IF ~Global("X#JaheiraAbela2","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraAbela2","GLOBAL",1)~ GOTO 14
  IF ~Global("X#JaheiraAbela2","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraAbela2","GLOBAL",1)~ EXTERN ~_KIVANJ~ 198
  IF ~Global("X#JaheiraAbela2","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraAbela2","GLOBAL",1)~ EXTERN ~_KHALIJ~ 19
  IF ~Global("X#JaheiraAbela2","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraAbela2","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 89
END

IF ~~ THEN BEGIN 13 // from: 11.0
  SAY #80312 /* ~Spare me your repentance and just remove this restraining collar.  I shall accept no more gifts or assistance from human kind for some time, to be sure!~ */
  IF ~~ THEN DO ~SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
ForceSpell(Myself,DRYAD_TELEPORT)
~ SOLVED_JOURNAL #88949 /* ~The captive nymph

After all was said and done, I helped the nymph Abela to escape her confinement.~ */ EXIT
END

IF ~~ THEN BEGIN 14 // from: 12.1
  SAY #94999 /* ~*sigh*~ */
  IF ~~ THEN DO ~ReputationInc(-5)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
EscapeArea()
~ SOLVED_JOURNAL #88950 /* ~The captive nymph

My hopes of extracting some additional value from the body of the enslaved nymph Abela have come to naught.~ */ EXIT
END

IF ~~ THEN BEGIN 15 // from:
  SAY #94999 /* ~*sigh*~ */
  IF ~~ THEN DO ~ReputationInc(-5)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
EscapeArea()
~ SOLVED_JOURNAL #88950 /* ~The captive nymph

My hopes of extracting some additional value from the body of the enslaved nymph Abela have come to naught.~ */ EXIT
END

IF ~~ THEN BEGIN 16 // from:
  SAY #94999 /* ~*sigh*~ */
  IF ~~ THEN DO ~ReputationInc(-5)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
EscapeArea()
~ SOLVED_JOURNAL #88950 /* ~The captive nymph

My hopes of extracting some additional value from the body of the enslaved nymph Abela have come to naught.~ */ EXIT
END

IF ~~ THEN BEGIN 17 // from:
  SAY #94999 /* ~*sigh*~ */
  IF ~~ THEN DO ~ReputationInc(-5)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
EscapeArea()
~ SOLVED_JOURNAL #88950 /* ~The captive nymph

My hopes of extracting some additional value from the body of the enslaved nymph Abela have come to naught.~ */ EXIT
END

IF ~~ THEN BEGIN 18 // from: _CORANJ:129.1
  SAY #100651 /* ~*Abela throws a speculative glance at Coran, but then jerks her eyes away and sighs* ~ */
  IF ~~ THEN DO ~GiveItem("_MISC51",LastTalkedToBy)
AddexperienceParty(2000)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
ForceSpell(Myself,DRYAD_TELEPORT)
~ SOLVED_JOURNAL #88949 /* ~The captive nymph

After all was said and done, I helped the nymph Abela to escape her confinement.~ */ EXIT
END

IF ~~ THEN BEGIN 19 // from: 7.1
  SAY #103190 /* ~Despair not, sister, you will soon return to the starlit woods.~ */
  IF ~~ THEN DO ~GiveItem("_MISC51",LastTalkedToBy)
AddexperienceParty(2000)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
ForceSpell(Myself,DRYAD_TELEPORT)
~ SOLVED_JOURNAL #88949 /* ~The captive nymph

After all was said and done, I helped the nymph Abela to escape her confinement.~ */ EXIT
END

IF ~~ THEN BEGIN 20 // from: _FALDOJ:142.1
  SAY #103190 /* ~Despair not, sister, you will soon return to the starlit woods.~ */
  IF ~~ THEN DO ~GiveItem("_MISC51",LastTalkedToBy)
AddexperienceParty(2000)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
ForceSpell(Myself,DRYAD_TELEPORT)
~ SOLVED_JOURNAL #88949 /* ~The captive nymph

After all was said and done, I helped the nymph Abela to escape her confinement.~ */ EXIT
END

IF ~~ THEN BEGIN 21 // from: 7.3
  SAY #100651 /* ~*Abela throws a speculative glance at Coran, but then jerks her eyes away and sighs* ~ */
  IF ~~ THEN DO ~GiveItem("_MISC51",LastTalkedToBy)
AddexperienceParty(2000)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
ForceSpell(Myself,DRYAD_TELEPORT)
~ SOLVED_JOURNAL #88949 /* ~The captive nymph

After all was said and done, I helped the nymph Abela to escape her confinement.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 22
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_FALDOJ~ 143
END

IF ~~ THEN BEGIN 22 // from: _FALDOJ:143.1 21.1
  SAY #103190 /* ~Despair not, sister, you will soon return to the starlit woods.~ */
  IF ~~ THEN DO ~GiveItem("_MISC51",LastTalkedToBy)
AddexperienceParty(2000)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
ForceSpell(Myself,DRYAD_TELEPORT)
~ SOLVED_JOURNAL #88949 /* ~The captive nymph

After all was said and done, I helped the nymph Abela to escape her confinement.~ */ EXIT
END

IF ~~ THEN BEGIN 23 // from: _CORANJ:334.3
  SAY #100651 /* ~*Abela throws a speculative glance at Coran, but then jerks her eyes away and sighs* ~ */
  IF ~~ THEN DO ~GiveItem("_MISC51",LastTalkedToBy)
AddexperienceParty(2000)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
ForceSpell(Myself,DRYAD_TELEPORT)
~ SOLVED_JOURNAL #88949 /* ~The captive nymph

After all was said and done, I helped the nymph Abela to escape her confinement.~ */ EXIT
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN GOTO 24
  IF ~  InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN EXTERN ~_FALDOJ~ 144
END

IF ~~ THEN BEGIN 24 // from: _FALDOJ:144.1 _CORANJ:334.1 23.1
  SAY #103190 /* ~Despair not, sister, you will soon return to the starlit woods.~ */
  IF ~~ THEN DO ~GiveItem("_MISC51",LastTalkedToBy)
AddexperienceParty(2000)
SetGlobal("MACAbela","GLOBAL",1)
EraseJournalEntry(81835)
EraseJournalEntry(80261)
EraseJournalEntry(80286)
EraseJournalEntry(80303)
ForceSpell(Myself,DRYAD_TELEPORT)
~ SOLVED_JOURNAL #88949 /* ~The captive nymph

After all was said and done, I helped the nymph Abela to escape her confinement.~ */ EXIT
END

IF ~~ THEN BEGIN 25 // from: 9.1
  SAY #94999 /* ~*sigh*~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
END

IF ~~ THEN BEGIN 26 // from:
  SAY #94999 /* ~*sigh*~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
END

IF ~~ THEN BEGIN 27 // from: 9.3
  SAY #103194 /* ~Blood... *shivers* blood is awful...~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 28
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 315
END

IF ~~ THEN BEGIN 28 // from: 27.1
  SAY #94999 /* ~*sigh*~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
END

IF ~~ THEN BEGIN 29 // from:
  SAY #103194 /* ~Blood... *shivers* blood is awful...~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 30
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 316
END

IF ~~ THEN BEGIN 30 // from: 29.1
  SAY #94999 /* ~*sigh*~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
END

IF ~~ THEN BEGIN 31 // from: 9.5
  SAY #103192 /* ~So much ceremony in the cities of men... listen to your heart, elf. Does it not tell you to free me?~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 33
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 317
  IF ~  InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN GOTO 32
  IF ~  InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN EXTERN ~_KIVANJ~ 315
END

IF ~~ THEN BEGIN 32 // from: 31.3
  SAY #103194 /* ~Blood... *shivers* blood is awful...~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 33
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 317
END

IF ~~ THEN BEGIN 33 // from: 32.1 31.1
  SAY #94999 /* ~*sigh*~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
END

IF ~~ THEN BEGIN 34 // from:
  SAY #103192 /* ~So much ceremony in the cities of men... listen to your heart, elf. Does it not tell you to free me?~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 36
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 318
  IF ~  InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN GOTO 35
  IF ~  InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN EXTERN ~_KIVANJ~ 317
END

IF ~~ THEN BEGIN 35 // from: 34.3
  SAY #103194 /* ~Blood... *shivers* blood is awful...~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN GOTO 36
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 318
END

IF ~~ THEN BEGIN 36 // from: 35.1 34.1
  SAY #94999 /* ~*sigh*~ */
  IF ~~ THEN DO ~GiveItemCreate("_MISC68",LastTalkedToBy,0,0,0)
DestroySelf()
~ EXIT
END
